Gnome installieren mit apt

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
terramurx
Newbie
Newbie
Beiträge: 2
Registriert: 1. Mai 2004, 20:47
Wohnort: Westerheim

Gnome installieren mit apt

Beitrag von terramurx » 4. Sep 2004, 17:44

Hallo,

ich möchte mit apt Gnome installieren unter SUSE 9.1

aber es geht nicht.

Kann mir einer helfen ?
Gruß
terramurx

Und wenn es Nacht wird im Linuxland !!

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 4. Sep 2004, 17:49

habe grade meine Glaskugel verlegt ...

was geht nicht?
Fehlermeldungen ?

probiere
apt groupinstall gnome
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

terramurx
Newbie
Newbie
Beiträge: 2
Registriert: 1. Mai 2004, 20:47
Wohnort: Westerheim

Beitrag von terramurx » 4. Sep 2004, 18:10

Hi vielen dank für Deine schnelle Antwort.




UX-NET:~ # apt-get update
Get:1 ftp://ftp.gwdg.de SuSE/9.1-i386 release [9791B]
Fetched 9791B in 1s (5459B/s)
Get:1 ftp://ftp.gwdg.de SuSE/9.1-i386/base pkglist [3414kB]
Get:2 ftp://ftp.gwdg.de SuSE/9.1-i386/base release [130B]
Get:3 ftp://ftp.gwdg.de SuSE/9.1-i386/update-prpm pkglist [273kB]
Get:4 ftp://ftp.gwdg.de SuSE/9.1-i386/update-prpm release [137B]
Get:5 ftp://ftp.gwdg.de SuSE/9.1-i386/update pkglist [459kB]
Get:6 ftp://ftp.gwdg.de SuSE/9.1-i386/update release [132B]
Get:7 ftp://ftp.gwdg.de SuSE/9.1-i386/kde pkglist [427kB]
Get:8 ftp://ftp.gwdg.de SuSE/9.1-i386/kde release [129B]
Get:9 ftp://ftp.gwdg.de SuSE/9.1-i386/gnome pkglist [214kB]
Get:10 ftp://ftp.gwdg.de SuSE/9.1-i386/gnome release [131B]
Get:11 ftp://ftp.gwdg.de SuSE/9.1-i386/xfree86 pkglist [6145B]
Get:12 ftp://ftp.gwdg.de SuSE/9.1-i386/xfree86 release [133B]
Get:13 ftp://ftp.gwdg.de SuSE/9.1-i386/xorg pkglist [36.3kB]
Get:14 ftp://ftp.gwdg.de SuSE/9.1-i386/xorg release [130B]
Get:15 ftp://ftp.gwdg.de SuSE/9.1-i386/mozilla pkglist [25.9kB]
Get:16 ftp://ftp.gwdg.de SuSE/9.1-i386/mozilla release [133B]
Get:17 ftp://ftp.gwdg.de SuSE/9.1-i386/samba3 pkglist [8805B]
Get:18 ftp://ftp.gwdg.de SuSE/9.1-i386/samba3 release [132B]
Get:19 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-rbos pkglist [14.2kB]
Get:20 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-rbos release [136B]
Get:21 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-guru pkglist [107kB]
Get:22 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-guru release [136B]
Get:23 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-gbv pkglist [78.1kB]
Get:24 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-gbv release [135B]
Get:25 ftp://ftp.gwdg.de SuSE/9.1-i386/usr-local-bin pkglist [153kB]
Get:26 ftp://ftp.gwdg.de SuSE/9.1-i386/usr-local-bin release [139B]
Get:27 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-tcousin pkglist [13.4kB]
Get:28 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-tcousin release [139B]
Get:29 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-scorot pkglist [59.7kB]
Get:30 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-scorot release [138B]
Get:31 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-jogley pkglist [1373B]
Get:32 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-jogley release [138B]
Get:33 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-ollakka pkglist [19.1kB]
Get:34 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-ollakka release [139B]
Get:35 ftp://ftp.gwdg.de SuSE/9.1-i386/labplot pkglist [1709B]
Get:36 ftp://ftp.gwdg.de SuSE/9.1-i386/labplot release [133B]
Get:37 ftp://ftp.gwdg.de SuSE/9.1-i386/funktronics pkglist [122kB]
Get:38 ftp://ftp.gwdg.de SuSE/9.1-i386/funktronics release [137B]
Get:39 ftp://ftp.gwdg.de SuSE/9.1-i386/packman pkglist [133kB]
Get:40 ftp://ftp.gwdg.de SuSE/9.1-i386/packman release [133B]
Get:41 ftp://ftp.gwdg.de SuSE/9.1-i386/packman-i686 pkglist [65.9kB]
Get:42 ftp://ftp.gwdg.de SuSE/9.1-i386/packman-i686 release [138B]
Get:43 ftp://ftp.gwdg.de SuSE/9.1-i386/kernel-of-the-day pkglist [85.6kB]
Get:44 ftp://ftp.gwdg.de SuSE/9.1-i386/kernel-of-the-day release [143B]
Get:45 ftp://ftp.gwdg.de SuSE/9.1-i386/wine pkglist [8634B]
Get:46 ftp://ftp.gwdg.de SuSE/9.1-i386/wine release [130B]
Get:47 ftp://ftp.gwdg.de SuSE/9.1-i386/suse-people pkglist [221kB]
Get:48 ftp://ftp.gwdg.de SuSE/9.1-i386/suse-people release [137B]
Get:49 ftp://ftp.gwdg.de SuSE/9.1-i386/suse-projects pkglist [187kB]
Get:50 ftp://ftp.gwdg.de SuSE/9.1-i386/suse-projects release [139B]
Get:51 ftp://ftp.gwdg.de SuSE/9.1-i386/kde3-stable pkglist [470kB]
Get:52 ftp://ftp.gwdg.de SuSE/9.1-i386/kde3-stable release [137B]
Get:53 ftp://ftp.gwdg.de SuSE/9.1-i386/kde-unstable pkglist [362kB]
Get:54 ftp://ftp.gwdg.de SuSE/9.1-i386/kde-unstable release [138B]
Get:55 ftp://ftp.gwdg.de SuSE/9.1-i386/security-prpm pkglist [144kB]
Get:56 ftp://ftp.gwdg.de SuSE/9.1-i386/security-prpm release [139B]
Get:57 ftp://ftp.gwdg.de SuSE/9.1-i386/security pkglist [279kB]
Get:58 ftp://ftp.gwdg.de SuSE/9.1-i386/security release [134B]
Get:59 ftp://ftp.gwdg.de SuSE/9.1-i386/base srclist [567kB]
Get:60 ftp://ftp.gwdg.de SuSE/9.1-i386/update-prpm srclist [42.8kB]
Get:61 ftp://ftp.gwdg.de SuSE/9.1-i386/update srclist [42.8kB]
Get:62 ftp://ftp.gwdg.de SuSE/9.1-i386/kde srclist [36.8kB]
Get:63 ftp://ftp.gwdg.de SuSE/9.1-i386/gnome srclist [42.1kB]
Get:64 ftp://ftp.gwdg.de SuSE/9.1-i386/xfree86 srclist [14B]
Get:65 ftp://ftp.gwdg.de SuSE/9.1-i386/xorg srclist [1022B]
Get:66 ftp://ftp.gwdg.de SuSE/9.1-i386/mozilla srclist [1195B]
Get:67 ftp://ftp.gwdg.de SuSE/9.1-i386/samba3 srclist [14B]
Get:68 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-rbos srclist [5321B]
Get:69 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-guru srclist [12.1kB]
Get:70 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-gbv srclist [12.2kB]
Get:71 ftp://ftp.gwdg.de SuSE/9.1-i386/usr-local-bin srclist [27.4kB]
Get:72 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-tcousin srclist [6217B]
Get:73 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-scorot srclist [22.5kB]
Get:74 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-jogley srclist [609B]
Get:75 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-ollakka srclist [3779B]
Get:76 ftp://ftp.gwdg.de SuSE/9.1-i386/labplot srclist [518B]
Get:77 ftp://ftp.gwdg.de SuSE/9.1-i386/funktronics srclist [20.5kB]
Get:78 ftp://ftp.gwdg.de SuSE/9.1-i386/packman srclist [48.7kB]
Get:79 ftp://ftp.gwdg.de SuSE/9.1-i386/packman-i686 srclist [48.7kB]
Get:80 ftp://ftp.gwdg.de SuSE/9.1-i386/kernel-of-the-day srclist [1016B]
Get:81 ftp://ftp.gwdg.de SuSE/9.1-i386/wine srclist [1969B]
Get:82 ftp://ftp.gwdg.de SuSE/9.1-i386/suse-people srclist [7946B]
Get:83 ftp://ftp.gwdg.de SuSE/9.1-i386/suse-projects srclist [22.7kB]
Get:84 ftp://ftp.gwdg.de SuSE/9.1-i386/kde3-stable srclist [1480B]
Get:85 ftp://ftp.gwdg.de SuSE/9.1-i386/kde-unstable srclist [11.8kB]
Get:86 ftp://ftp.gwdg.de SuSE/9.1-i386/security-prpm srclist [14B]
Get:87 ftp://ftp.gwdg.de SuSE/9.1-i386/security srclist [14B]
Fetched 8381kB in 3m56s (35.4kB/s)
Reading Package Lists... Done
Building Dependency Tree... Done
W: There are multiple versions of "perl-XML-LibXML" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^perl-XML-LibXML$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: You may want to run apt-get update to correct these problems
TUX-NET:~ # apt-get -s upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
perl-XML-LibXML#1.56-rb1: Depends: perl-XML-GDOME but it is not installed
E: Unmet dependencies. Try using -f.
TUX-NET:~ # apt-get upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
perl-XML-LibXML#1.56-rb1: Depends: perl-XML-GDOME but it is not installed
E: Unmet dependencies. Try using -f.
TUX-NET:~ # apt groupinstall gnome
Finding packages belonging to group(s) gnome...
TUX-NET:~ #
Gruß
terramurx

Und wenn es Nacht wird im Linuxland !!

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 4. Sep 2004, 18:14

W: There are multiple versions of "perl-XML-LibXML" in your system.
rpm -qa | grep perl-XML-LibXML ==> alle Versionen die du installiert hast

dann

rpm -e perl-XML-libXML=<älteste-version> ==> es kann nur einen geben :)

dann

apt-get -s upgrade

falls wieder einen Fehlermeldung kommt, diese zuerst beheben ...
ohne wird es nicht funktionieren :)
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Gast

Beitrag von Gast » 4. Sep 2004, 20:03

Hallo,

danke Dir für den Tip.

Die Gnome Inst. geht immer noch nicht.

TUX-NET:~ # apt groupinstall gnome
Finding packages belonging to group(s) gnome...
TUX-NET:~ #

muß ich da ne Datei verändern?

Danke !

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 4. Sep 2004, 20:15

Apt has been extended with group options. With these you can install a collection of rpms. SuSE calls those groups selections. Groups that are available ranges from Minimal, LSB, Hacker, Gnome-Devel, etc. The available commands are:

* apt groupnames
* apt showgroup group-1...group-N
* apt groupinstall group-1...group-N
* apt groupremove group-1...group-N
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Calvin
Hacker
Hacker
Beiträge: 285
Registriert: 8. Mai 2004, 00:19

Beitrag von Calvin » 6. Sep 2004, 15:20

Mahlzeit,

ich habe eben versucht, mit apt groupinstall Gnome Gnome zu installieren und war ziemlich verwundert über die Ausgabe.
Die folgenden 39(!)Pakete werden ENTFERNT:
<gekürzte Liste>kdebase3 kdeaddons3-kate kdeaddons3-kicker kdeaddons3-konqueror kdeartwork3-xscreensaver kdebase3-nsplugin kdenetwork3-lan usw.

<skip>

8mal
E: Ausserstande Probleme zu korrigieren, sie haben zerbrochene Pakete zurückgehalten
Kann mir jemand erklären, warum kde deinstalliert werden soll :shock: Eigentlich sollten KDE und Gnome doch parallel laufen können.

Und wie darf ich die Meldung mit den zerbrochenen Paketen verstehen?

Falls die Info notwendig sein sollte, ich habe in den letzten Tagen folgendes gemacht:

- mit YAST das komplette Gnome-Paket von meiner SUSE9.0-CD eingespielt
- es wurde automatisch das Paket kdebase-suse ausgewählt, das im Konflikt mit meiner kdebase3 stand. Ich habe dann kdebase-suse nicht installiert
- SuSEconfig ausführen hat dieses eine mal unnatürlich lange gedauert (fast 10 Minuten). Davor und danach ging es problemlos.
- mit apt alles aktualisiert bis keine Konflikte mehr bestanden
- gnome funktionierte nicht (es war nur Hintergrundbild und ein strich zu sehen, der wohl die taskleiste darstellen sollte)
- alle zuvor installierten Pakete mit synaptic wieder deinstalliert (wo liegt eigentlich der Unterschied zwischen "Paket entfernen" und "Paket vollständig entfernen"?)
- Diesen Beitrag im Forum entdeck :wink:
- apt groupinstall Gnome ausgeführt
- obige Fehlermeldung bekommen :wink:

Edith sagt :wink: Installieren einzelner Pakete und System-Upgrade mit apt-get funktioniert nach wie vor problemlos.

Gruß
Calvin

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 6. Sep 2004, 16:06

ok, dann fangen wir mal mit der Analyse an..

für einen Moment mal synaptic vergessen und alle Befehle auf der Konsole (als root) ausführen.

apt kann nur in seinen Abhängigkeitsalgorithmus berücksichtigen was in der sources.list drin steht. Also bitte posten (wenns geht ohne Kommentare cat /etc/apt/sources.list | grep "^#"))

bei apt-get upgrade kommen keine Fehlermeldungen ? wenn ja, OK. Wenn Fehlermeldungen dann bitte vollständig posten.

was liefert apt groupnames bei dir ?
apt groupnames
/usr/lib/apt/scripts/groupinstall-backend-suse: line 120: cd:
/var/adm/YaST/InstSrcManager/IS_CACHE_0x00000001/DATA/descr: No such file or
directory
ls: /var/adm/YaST/InstSrcManager/IS_CACHE_0x00000001/DATA/descr/*sel: No such
file or directory
wenn so etwas kommen sollte, dann kann ich dir weiterhelfen :)
Dieses Problem taucht bei einigen SuSE-Versionen derzeit auf ... aber es gibt bereits einen Patch dafür.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Calvin
Hacker
Hacker
Beiträge: 285
Registriert: 8. Mai 2004, 00:19

Beitrag von Calvin » 6. Sep 2004, 16:54

Hi oc2pus,

danke, dass du mir schon wieder hilfst :D

Meine sources.list
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 base
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 update
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 kde
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 xfree86
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 xorg
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 gnome
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 packman
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 packman-i686
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 suser-rbos
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 funktronics
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 suser-scorot
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 suser-tcousin
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 suser-guru
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 suser-jogley
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 mozilla
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 samba3
apt-get upgrade funktioniert ohne besondere Meldung. Ebenso apt-get install <paket>. Alle Pakete sind upgragradet, keins wurde zurückgehalten.

apt groupnames liefert
Group name

Basis-Devel
Games
Gnome-Devel
Gnome
Hacker
Kde-Desktop
Kde-Devel
Kde
Kernel-Devel
LAMP2
LAMP
LDAP-Server
LSB
Multimedia
Network
Office
SuSE-Documentation
Tcl-Development
X11
Gruß
Calvin

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 6. Sep 2004, 17:07

Irgendwie gibt es in manchen Konstellationen ein Problem mit apt groupinstall. Wird gerade ausgeforscht :)

Aber wenn es dein Wunsch ist Gnome zu instalieren ... dann probiere folgendes:

apt showgroup Gnome ==> Liste der Pakete welche von Gnome gebraucht werden.

zur Installation machst du folgendes:
xxx=`apt showgroup Gnome`
echo $xxx
jetzt steht da ziemlich viel in der Konsole
Group: Gnome Summary: Gnome system Required groups: X11 Basis-Sound Packages: DirectFB MPlayer abiword atk bonobo bonobo-activation bonobo-conf bug-buddy2 cdparanoia control-center control-center2 docbook_4 eel eel2 eog2 evolution fam file-roller gail gal galeon gconf gconf2 gdk-pixbuf gdm2 gedit2 ghostscript-fonts-other ghostscript-fonts-std gimp glade2 gle glib glib2 gmp gnome-applets2 gnome-common gnome-desktop gnome-games2 gnome-libs gnome-media2 gnome-mime-data gnome-panel gnome-print gnome-session gnome-terminal gnome-utils2 gnome-vfs gnome-vfs2 gnome2-SuSE gthumb gtk gtk2 gtk2-engines gtk2-themes gtkhtml guile gxmhtml icons iso_ent libart_lgpl libbonobo libbonoboui libdv libdvdread libghttp libgimpprint libglade libglade2 libgnome libgnomecanvas libgnomeprint libgnomeprintui libgnomeui libgtkhtml libidl librep librsvg librsvg2 libtool libunicode libwnck libxslt libzvt2 linc lirc mad medusa metacity metacity-setup metacity-themes mozilla nautilus-themes nautilus2nautilus2-gtkhtml oaf orbit orbit2 pango pspell python scrollkeeper sgml-skel sodipodi xchat xmlcharent xscreensaver xscreensaver-gnome yelp
mit der Taste POS1/Home an den Zeilenanfang springen
Group: Gnome Summary: Gnome system Required groups: X11 Basis-Sound Packages:
ersetzen durch
apt --force install
damit haben wir einen wunderschönen Installationsbefehl erzeugt :)

und Feuer frei .. jetzt sollten alle Pakete "normal" installiert werden.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Calvin
Hacker
Hacker
Beiträge: 285
Registriert: 8. Mai 2004, 00:19

Beitrag von Calvin » 7. Sep 2004, 00:44

Jetzt bin ich total verwirrt. apt showgroups Gnome ergibt
Group: Gnome Summary: Gnome system Available languages: bs cs da de default el el_GR en en_GR en_US es fo fr hu it ja ko lt nl pl pt pt_BR ru sk sl sl_SI sv ta tr tu zh_CN zh_TW Required groups: X11 Basis-Sound Packages: DirectFB ImageMagick ImageMagick-Magick++ ImageMagick-devel a52dec aalib abiword2 acme arts at-spi atk audiofile avifile bonobo-activation bug-buddy2 cdparanoia cdrdao cdrecord control-center2 cryptplug desktop-data-SuSE dia dirmngr docbook_4 dosbootdisk eel enchant eog2 epiphany epiphany-plugins esound evolution fam file-roller flac fontilus gabber gail gaim gal gal2 gconf-editor gconf2 gdk-pixbuf gdm2 gedit2 gettext ggv ghex gimp2 gimp2-svg glade2 gle glib2 gnet gnome-applets2 gnome-audio gnome-desktop gnome-filesystem gnome-games2 gnome-icon-theme gnome-libs gnome-media2 gnome-mime-data gnome-panel gnome-pilot gnome-pilot-conduits gnome-print gnome-session gnome-spell2 gnome-system-monitor gnome-terminal gnome-themes gnome-utils2 gnome-vfs-extras gnome-vfs2 gnome2-SuSE gnome2-user-docs gnomeicu gnomemeeting gnomemm gnumeric2 gpgme gqview grip gstreamer gstreamer-plugins gstreamer-plugins-default gstreamer-plugins-excess gstreamer-plugins-extra gstreamer-plugins-internal gswitchit gthumb gtk2 gtk2-engines gtk2-themes gtkhtml2 gtklp gtkmm gucharmap guile hotplugctl id3lib iso_ent k3b kaffeine kdebase3 kdebase3-SuSE kdebase3-ksysguardd kdegraphics3 kdemultimedia3 kdirstat kino kwintv lame libao libart_lgpl libavc1394 libbonobo libbonoboui libdc1394 libdv libdvdread libexif libgail-gnome libgcj libgcrypt libgda libghttp libglade libglade2 libgnome libgnomecanvas libgnomedb libgnomeprint libgnomeprintui libgnomeui libgsf libgsf-gnome libgtkhtml libgtop2 libid3tag libidl libjasper libksba libquicktime libraw1394 librsvg libsigc++ libsmbclient libsoup libunicode libwmf libwnck libxklavier libxml2 libxslt libzvt2 linc lirc mergeant metacity metacity-themes mjpegtools mkisofs mozilla mysql-shared nautilus-cd-burner nautilus-media nautilus-mozilla nautilus-themes nautilus2 newpg ooqstart openh323 openmotif-libs orbit orbit2 pan pango pcsc-lite perl-PDA-Pilot pilot-link pinentry postgresql-libs pwlib qamix qinternet rrdtool scrollkeeper sensors sgml-skel slang sodipodi sox speex startup-notification totem v4l-conf vorbis-tools vte xchat xine-lib xmlcharent xmms xmms-gnome2 xscreensaver xsu yelp zisofs-tools
Dass meine Gruppe viel größer ist als deine, wundert mich jetzt schon :shock: Erst Recht, nachdem sich nichts änderte, obwohl ich sämtliche Ordner aus der sources.list auskommentiert habe, in denen z.B. die kdebase3 liegt. Sollte nicht die Gnome-Gruppe überall gleich sein? Oder zumindest ohne die Grundpakete von kde?

Da ich vermutlich erst morgen abend dazu komme, mich wieder damit zu beschäftigen, frage ich vorher mal ganz naiv, ob ich auch die Pakete aus "deiner" Gnome-Gruppe einfach so übernehmen und anschließend nur noch Abhängigkeitskonflikte lösen kann.

Und was hat es mit meiner ominösen Meldung auf sich, ich hätte noch zerbrochene Pakete?

Gruß
Tobi

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 7. Sep 2004, 00:58

Es kann sein, ich habe andere Pakete als du installiert :)

An der sources.list darfst du nix ändern, sonst "sieht" apt nur noch die KDE Pakete aus base ==> DOWNGRADE auf KDE3.1.

Diese "ominöse" Meldung ist der Bug der manchmal auftaucht. Etwas schlecht übersetzt:)

Also schmeiss den Präfix weg und lass mit dieser Liste apt laufen:
apt --force install DirectFB MPlayer abiword atk bonobo bonobo-activation bonobo-conf bug-buddy2 cdparanoia control-center control-center2 docbook_4 eel eel2 eog2 evolution fam file-roller gail gal galeon gconf gconf2 gdk-pixbuf gdm2 gedit2 ghostscript-fonts-other ghostscript-fonts-std gimp glade2 gle glib glib2 gmp gnome-applets2 gnome-common gnome-desktop gnome-games2 gnome-libs gnome-media2 gnome-mime-data gnome-panel gnome-print gnome-session gnome-terminal gnome-utils2 gnome-vfs gnome-vfs2 gnome2-SuSE gthumb gtk gtk2 gtk2-engines gtk2-themes gtkhtml guile gxmhtml icons iso_ent libart_lgpl libbonobo libbonoboui libdv libdvdread libghttp libgimpprint libglade libglade2 libgnome libgnomecanvas libgnomeprint libgnomeprintui libgnomeui libgtkhtml libidl librep librsvg librsvg2 libtool libunicode libwnck libxslt libzvt2 linc lirc mad medusa metacity metacity-setup metacity-themes mozilla nautilus-themes nautilus2nautilus2-gtkhtml oaf orbit orbit2 pango pspell python scrollkeeper sgml-skel sodipodi xchat xmlcharent xscreensaver xscreensaver-gnome yelp
wenn du sehen willst was er da für Pakete holt, mach erst den Download mit apt-get install -d <liste>
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Calvin
Hacker
Hacker
Beiträge: 285
Registriert: 8. Mai 2004, 00:19

Beitrag von Calvin » 7. Sep 2004, 20:43

So, habe es gerade mit deiner Paketliste probiert. Ich mußte noch einige Pakete (de)installieren, damit es endlich konfliktfrei funktioniert hat. Aber es traten genau die gleichen Probleme auf, die ich letzte Woche schon bei der Installation mit Yast hatte.

Zunächst mußte ich das Paket gnome-panel in der alten Version 2.2.2.2-65 festpinnen, da die aktuelle Version folgenden Fehler ergab:
file /opt/gnome/share/pixmaps/gnome-run.png from install of gnome-panel-2.6.1-9 conflicts with file from package gnome-desktop-2.2.2-111
E: Error while running transaction
Dann hat das ausführen der SuSEconfig fast 10 Minuten gedauert. Die Fehlermeldung kann ich leider nur in geschnittener Fassung bringen. Ich mußte die Ausgabe im Terminal-Fenster manuell hierher übertragen und beim Verkleinern des Terminal-Fensters wurde die Meldung rechts abgeschnitten :shock:
Executing /sbin/conf.d/SuSEconfig.scrollkeeper...
OMF-Datei [/opt/gnome/share/omf/gnome-applets/gweather_applet-it.omf] konnte nicht <abgeschnitten> scrollkeeper/dtds/scrollkeeper-omf.dtd
/opt/gnome/share/omf/gnome-applets/gweather_applet-it.omf konnte nicht registriert werden<abgeschnitten> scrollkeeper/dtds/scrollkeeper-omf.dtd

OMF-Datei [/opt/gnome/share/omf/gnome-applets/mixer_applet-it.omf] konnte nicht <abgeschnitten> scrollkeeper/dtds/scrollkeeper-omf.dtd
/opt/gnome/share/omf/gnome-applets/mixer_applet-it.omf konnte nicht registriert werden
Ist das was wichtiges?

Gnome läßt sich auch starten, allerdings ist die Taskleiste wieder winzig klein und die Worte im Startmenue sind nur waagrechte Linien, es ist quasi unbrauchbar :(

In welchem Paket sind Taskleiste/Einstellungen/Startmenü usw. enthalten?

Gruß
Tobi

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 7. Sep 2004, 20:49

file /opt/gnome/share/pixmaps/gnome-run.png from install of gnome-panel-2.6.1-9 conflicts with file from package gnome-desktop-2.2.2-111
diese Meldung resultiert aus der Verschiebung einiger Dateien innerhalb der Pakete. Lösung: apt --force gnome-panel

Meine Liste nützt dir nichts :) Wie gesagt ich habe andere Pakete installiert und ein anderes SuSE als du!
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Antworten

Wer ist online?

Mitglieder in diesem Forum: Bing [Bot] und 3 Gäste